<?php

function file_set_contents($filename, $content)
{
  $fd = fopen ($filename, "w+b");
  fwrite($fd, "$content");
  fclose($fd);
}

// Take a dir name.
// Returns filenames in an array.
function list_file($rep)
{
  $handle = opendir($rep);
  while ( $file = readdir($handle) )
    {
      $files[] = $file;
    }
  closedir($handle);
  return($files);
};

// Take a dir name
// Returns subdirs in an array (without '.' and '..') (sorted)
function list_gal($rep)
{
  $pre_array=list_file($rep);
  $array=array();
  
  sort($pre_array);
  reset($pre_array);
  while (list ($key, $val) = each ($pre_array))
    {
      if (is_dir("$rep/$val") && ($val != ".") && ($val != ".."))
	{
	  $array[]=$val;
	};
    };
  return($array);
};

// Take a dir name
// Returns JPG files in an array (sorted).
function list_img($rep)
{
  $pre_array=list_file($rep);
  $array=array();
  
  sort($pre_array);
  reset($pre_array);
  while (list ($key, $val) = each ($pre_array))
    {
      if (file_exists("$rep/$val") && (strcasecmp(substr($val,strlen($val)-4),".jpg") == 0))
	{
	  $array[]=$val;
	};
    };
  return($array);
};

// Take a filename and a dir name...
// Returns filename of preceeding image file as if sorted with list_img.
function last_img($file,$rep)
{
  $ar=list_img($rep);

  return($ar[array_search($file,$ar) - 1 ]);
};

// Take a filename and a dir name...
// Returns filename of next image file as if sorted with list_img.
function next_img($file,$rep)
{
  $ar=list_img($rep);

  return($ar[array_search($file,$ar) + 1 ]);
};

?>